# Class CheckConnectionReply

#### Hierarchy

- unknown
  - CheckConnectionReply

- Defined in src/protobuf/grpc_pb.d.ts:1006
- Defined in src/protobuf/grpc_pb.d.ts:1020

#####
Index

### Constructors

constructor

### Methods

clearConnection
getConnection
hasConnection
serializeBinary
setConnection
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new CheckConnectionReply(): CheckConnectionReply

- #### Returns CheckConnectionReply

  Inherited from jspb.Message.constructor

## Methods

### clearConnection

- clearConnection(): CheckConnectionReply

- #### Returns CheckConnectionReply

  - Defined in src/protobuf/grpc_pb.d.ts:1010

### getConnection

- getConnection(): undefined | UrlConnection

- #### Returns undefined | UrlConnection

  - Defined in src/protobuf/grpc_pb.d.ts:1007

### hasConnection

- hasConnection(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:1009

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1012

### setConnection

- setConnection(value?: UrlConnection): CheckConnectionReply

- #### Parameters

  - ##### `Optional` value: UrlConnection

  #### Returns CheckConnectionReply

  - Defined in src/protobuf/grpc_pb.d.ts:1008

### toObject

- toObject(includeInstance?: boolean): CheckConnectionReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns CheckConnectionReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1013

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): CheckConnectionReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CheckConnectionReply

  - Defined in src/protobuf/grpc_pb.d.ts:1016

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CheckConnectionReply, reader: BinaryReader): CheckConnectionReply

- #### Parameters

  - ##### message: CheckConnectionReply

  - ##### reader: BinaryReader

  #### Returns CheckConnectionReply

  - Defined in src/protobuf/grpc_pb.d.ts:1017

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: CheckConnectionReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: CheckConnectionReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1015

### `Static` toObject

- toObject(includeInstance: boolean, msg: CheckConnectionReply): CheckConnectionReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CheckConnectionReply

  #### Returns CheckConnectionReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1014

Generated using TypeDoc